Bug 50767 - Linksys USB10T ethernet adapter does not work
Linksys USB10T ethernet adapter does not work
Status: CLOSED WORKSFORME
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-02 18:12 EDT by Christopher Blizzard
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 18:42:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Blizzard 2001-08-02 18:12:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010801

Description of problem:
The Linksys USB10T ethernet adapter doesn't work with the roswell beta.

How reproducible:
Always

Steps to Reproduce:
Plug in a USB10T device into your USB port.

Actual Results:  The Link light and TX/RX lights never come on.  The device
will not respond to pings.

Expected Results:  Device will be able to come up and the Link light and
the TX/RX lights will behave as expected.

Additional info:

I've also tried version 0.4.18 of the driver.  That version turns both the
lights on solid but it's equally unresponsive.

This shows up in the kernel log:

Aug  2 18:10:29 face kernel: pegasus.c: v0.4.19 2001/06/07 (C)
1999-2001:ADMtek AN986 Pegasus USB Ethernet driver
Aug  2 18:10:52 face kernel: pegasus.c: eth1: link NOT established (0x7849)
- check the cable.

I know the cable is good.  The device works under win98.

Here's what's in /proc/bus/usb/devices:


T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 0.00
S:  Product=USB UHCI Root Hub
S:  SerialNumber=ff80
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=255ms
T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=066b ProdID=2206 Rev= 1.01
S:  Manufacturer=LINKSYS Inc.
S:  Product=LINKSYS USB Adapter
S:  SerialNumber=941ee9
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr= 86mA
I:  If#= 0 Alt= 0 #EPs= 3 Cls=00(>ifc ) Sub=00 Prot=00 Driver=pegasus
E:  Ad=81(I) Atr=02(Bulk) MxPS=  64 Ivl=  0ms
E:  Ad=02(O) Atr=02(Bulk) MxPS=  64 Ivl=  0ms
E:  Ad=83(I) Atr=03(Int.) MxPS=   8 Ivl=128ms
Comment 1 Christopher Blizzard 2001-08-02 18:23:48 EDT
I have a USB10T.  If Red Hat wants to buy it from me so I can send it to Pete
I'd be more than happy to do so.  I'm just going to send it back to the people
who I bought it from.
Comment 2 Glen Foster 2001-08-06 18:42:07 EDT
We (Red Hat) should try to fix this for the next release.
Comment 3 Pete Zaitcev 2002-11-06 23:34:10 EST
Bug staled out (and I expect Chris sent the thing back long ago).

Note You need to log in before you can comment on or make changes to this bug.